Bug 3342 - Install the Dynamic Page List extension for the wiki
: Install the Dynamic Page List extension for the wiki
Status: RESOLVED INVALID
Product: maemo.org Website
Wiki
: unspecified
: All All
: High enhancement (vote)
: ---
Assigned To: Ferenc Szekely
: midgard@maemo.org
: http://www.mediawiki.org/wiki/Extensi...
: easyfix
:
:
  Show dependency tree
 
Reported: 2008-06-29 15:52 UTC by Ryan Abel
Modified: 2008-07-03 00:36 UTC (History)
0 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Ryan Abel (reporter) maemo.org 2008-06-29 15:52:08 UTC
Per the request at https://wiki.maemo.org/Talk:Maemowiki_Action_Group could we
install the DynamicPageList extension for the wiki? This is significantly less
urgent than bug #3341.

http://www.mediawiki.org/wiki/Extension:DynamicPageList

User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US)
AppleWebKit/525.18 (KHTML, like Gecko, Safari/525.20) OmniWeb/v622.1.0.101671
Comment 1 Quim Gil nokia 2008-07-02 14:14:31 UTC
Ferenc has committed this bug to the Sprint2. Changing priority to High.
Comment 2 Ferenc Szekely maemo.org 2008-07-02 22:12:15 UTC
fixed; see test: https://wiki.maemo.org/User:Feri
Comment 3 Ryan Abel (reporter) maemo.org 2008-07-03 00:12:11 UTC
Something happened during the plugin installs that seems to have messed up
template behavior (See https://wiki.maemo.org/Template:Ambox). Nothing in the
recent changes feed (https://wiki.maemo.org/Special:Recentchanges) explains it.
Pretty much has to be something done server-side.
Comment 4 Ryan Abel (reporter) maemo.org 2008-07-03 00:17:47 UTC
(In reply to comment #3)
> Something happened during the plugin installs that seems to have messed up
> template behavior (See https://wiki.maemo.org/Template:Ambox). Nothing in the
> recent changes feed (https://wiki.maemo.org/Special:Recentchanges) explains it.
> Pretty much has to be something done server-side.
> 

It seems like it might be something interfering with ParserFunctions, as
Template:Ambox renders fine without any functions
(https://wiki.maemo.org/Template:Sandboxtesting).

First step is probably to disable/uninstall the DynamicPageList extension to
see if that clears it up.
Comment 5 Ferenc Szekely maemo.org 2008-07-03 00:29:01 UTC
Bug reopened. The extension is disabled. Could you please check
https://wiki.maemo.org/Template:Sandboxtesting? How does it supposed to look
like?
Comment 6 Ryan Abel (reporter) maemo.org 2008-07-03 00:36:34 UTC
(In reply to comment #5)
> Bug reopened. The extension is disabled. Could you please check
> https://wiki.maemo.org/Template:Sandboxtesting? How does it supposed to look
> like?
> 

Looks good, that fixed it. Looks like there's some issues with the extension
interfering with parser functions of mediawiki 1.12.

Request withdrawn. CategoryTree does what we were after in any case.